GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_connect_in_args Struct Reference

`#include <connector.h>`

## Data Fields
grpc_pollset_set * | interested_parties
| set of pollsets interested in this connection More...
const struct sockaddr * | addr
| address to connect to More...
int | addr_len
gpr_timespec | deadline
| deadline for connection More...
const grpc_channel_args * | channel_args
| channel arguments (to be passed to transport) More...
grpc_mdctx * | metadata_context
| metadata context More...

## Field Documentation

const struct sockaddr* grpc_connect_in_args::addr

address to connect to

int grpc_connect_in_args::addr_len

const grpc_channel_args* grpc_connect_in_args::channel_args

channel arguments (to be passed to transport)

gpr_timespec grpc_connect_in_args::deadline

deadline for connection

grpc_pollset_set* grpc_connect_in_args::interested_parties

set of pollsets interested in this connection

grpc_mdctx* grpc_connect_in_args::metadata_context

metadata context

The documentation for this struct was generated from the following file:

- src/core/client_config/connector.h